/* eslint-disable */
/**柯礼钦
 * 4/6/2020, 11:03:52 AM
 * doc comment for the file goes here
 */

/** 榜单table列表 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Table, Row, Col } from 'antd';
import { tagList } from './tagList';
import './index.scss';


export default class TopListTableView extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      topList: []
    };
  }

  componentWillMount() {
    this.setState({
      topList: tagList
    })
  }

  componentDidMount() { }

  renderDom = ({ name, columns }) => {
    return <div className="top-list-table-view-main-table">
      <div className="top-list-table-view-main-table-title">{name}
        <span className="top-list-table-view-main-table-title-fuc">查看</span>
      </div>
      <Table
        dataSource={[{ age: 1 }]}
        columns={columns}
        size="small"
        bordered={false}
        pagination={false}
      />
    </div>
  }

  render() {
    let { topList } = this.state;
    return (
      <div className="top-list-table-view-main">
        <Row type="flex" gutter={12}>
          {
            topList.map((item, idx) => {
              return <Col span={24 / 3} key={idx}>{this.renderDom(item)}</Col>;
            })
          }
        </Row>
      </div>
    )
  }
}
